(function () {
    const vscode = acquireVsCodeApi();
    const selectionList = document.getElementById('selectionList');
    const clearButton = document.getElementById('clearButton');

    clearButton.addEventListener('click', () => {
        vscode.postMessage({ type: 'clearHistory' });
    });

    function addSelectionToList(selection) {
        const li = document.createElement('li');
        const timestamp = new Date(selection.timestamp).toLocaleString();
        li.innerHTML = `
            <div>
                <span class="model ${selection.selectedModel === 0 ? 'selected' : ''}">${selection.model0}</span>
                <span class="model ${selection.selectedModel === 1 ? 'selected' : ''}">${selection.model1}</span>
                <div class="timestamp">${timestamp}</div>
            </div>
        `;
        selectionList.prepend(li);
    }

    window.addEventListener('message', event => {
        const message = event.data;
        switch (message.type) {
            case 'initializeSelections':
                selectionList.innerHTML = ''; // Clear existing items
                message.selections.forEach(addSelectionToList);
                break;
            case 'clearSelections':
                selectionList.innerHTML = '';
                break;
        }
    });
})();